# ppt03.rb  (encoding: Windows-31J)
  # [hXChɓ\t
require "wrdap"
require "pptap"

doc_file = "test03.doc"
File.unlink(doc_file)  if test(?e, doc_file)
eval(DATA.read)  # [h쐬CNbv{[hɃRs[

filename = "test03.ppt"
File.unlink(filename)  if test(?e, filename)
Pptap.new(filename) do |presen|
  slide_width  = presen.PageSetup.SlideWidth
  slide_height = presen.PageSetup.SlideHeight
  new_slide = presen.Slides.Add('Index'=>presen.Slides.Count+1,
      'Layout'=>PpLayoutTitleOnly)  # PpLayoutText)
  new_slide.Shapes.Title.TextFrame.TextRange.Text = "2015NSS"
  shp = new_slide.Shapes.AddTextbox('Orientation'=>1, 'Left'=>60,
      'Top'=>60, 'Width'=>slide_width-60, 'Height'=>slide_height-60)
  #  Orientation  1:, 2:c(), 3:c(ォ牺)
  shp.TextFrame.TextRange.Paste  # \t
  presen.save
end  # test03.ppt

__END__
str = <<EOS
͓dԂɏďo܂B
dԂ͎̂ƂB
Elk
ER
E
̓oXɏĂ݂悤Ǝv܂B
EOS
lines = str.split(/\n/)
Wrdap.new(doc_file) do |doc|
  slc = doc.Application.Selection
  preline = ""
  for i in 1..lines.size
    line = lines[i-1]
    para = doc.Paragraphs(i)
    if line =~ /^E/
      if preline !~ /^E/  # Vɉӏ[h
        para.Range.ListFormat.ApplyBulletDefault
      end
      line = line.sub(/^E/, "")
    elsif preline =~ /^E/  # ӏ
      para.Range.Style = WdStyleNormal  # WX^Cɖ߂
      para.Range.ParagraphFormat.Alignment = WdAlignParagraphLeft
    end
    slc.TypeText line  # Ps
    slc.TypeParagraph()  # G^[L[Ƃɑ
    preline = lines[i-1]
  end
  rng = doc.Range('Start'=>0, 'End'=>doc.Content.End-1)
  rng.Copy
end
