# encoding: Windows-31J
  # UserForm̐ݒBcmdOK, cmdCancel̋LqpB
require "wrdap"
uf_str, mdl_str = DATA.read.split(/\n########\n+/)
filename = "wmcr13.doc"
File.unlink(filename)  if test(?e, filename)
Wrdap.new(filename) do |doc|
  uf = doc.macro_add(uf_str, 3, "SampleForm")  # Add UserForm component
  uf.Designer.Controls.Add("Forms.TextBox.1", "TextBox1", true)
  uf.Designer.Controls.Add("Forms.ListBox.1", "ListBox1", true)
  uf.Designer.Controls.Add("Forms.CommandButton.1", "cmdOK", true)
  uf.Designer.Controls.Add("Forms.CommandButton.1", "cmdCancel", true)
  doc.macro_add(mdl_str, 1, "Module1")  # Add standard module component
  app = doc.Application
  app.CustomizationContext = doc.obj  # ۑƒ̕ɂ
  app.Keybindings.Add('KeyCategory'=>WdKeyCategoryMacro,
      'Command'=>"Module1.Macro1",
      'KeyCode'=>WdKeyControl + WdKeyShift + WdKeyU)
  slc = doc.Application.Selection
  slc.TypeText "[U[tH[eXg邽߂̃hLg"
  slc.TypeParagraph()
  slc.TypeText "Rg[L[{VtgL[{t͂āA[U[tH[ĉB"
  slc.TypeParagraph()
  doc.save
end

__END__
' UserForm module
Private Sub cmdOK_Click()
    ActiveDocument.Paragraphs(1).Range.Text = Me.TextBox1.Value & vbCrLf
    ActiveDocument.Paragraphs(2).Range.Text = Me.ListBox1.Value & vbCrLf
    Unload Me
End Sub

Private Sub cmdCancel_Click()
    Unload Me
End Sub

Private Sub UserForm_Initialize()
    With TextBox1
        .AutoSize = True
        .MultiLine = False
    End With
    With ListBox1
        .AddItem "j"
        .AddItem "Ηj"
        .AddItem "j"
        .AddItem "ؗj"
        .AddItem "j"
    End With
    With cmdOK
        .Caption = "OK"
        .Default = True  ' EnterL[
    End With
    With cmdCancel
        .Caption = "Cancel"
        .Cancel = True  ' EscapeL[
    End With
End Sub

########
' standard module
Sub Macro1()
    SampleForm.Show
End Sub
